Subject: [pim] IGMP query solicitation message

From: gangadhara reddy chavva <[email-masked]>
Date: Thu, 2 Jul 2020 13:07:07 +0530

Hi,

I could see a problem in igmp snooping functionality during port shut and
unshut, RP switchover. During these triggers if the igmp snooping switch is
not querier, it can't send query messages immediately to get the report
message from the hosts. so snooping switch has to wait for the next querier
query interval to learn the entries. Because of this there could be traffic
drop/flood in the bridge domain.

I could see some vendors are using query solicitation messages to trigger
query messages immediately so the snooping switch can converge the traffic
quickly.

when i search for query solicitation message i couldn't find it in any
ietf/rfc documents which suggest the same. Did I miss something?  Please
let me know if there is any IETF/RFC document which suggests the same.

Thanks,
Gangadhar